SMOK Alien – revisions and upgrade confusion

Just a quick heads up on some “issues” with the latest¬†SMOK Aliens. It seems that SMOK changed the chip in the mod and we have two different models now that have to use¬†different firmwares. The firmware versions of the older models are called something like “v1.2.2”, the newer ones “vb1.0.2”. Currently you can not upgrade the vb1.0.2 since there isn’t any newer version available. Also you need a newer firmware upgrade software.

Apart from that, I read somewhere that the latest batch has a “spring loaded” battery door.

All in all, nothing to worry but good to know that your vb1.0.2 isn’t bricked or something like that, you just need a different firmware / software.

More info can be found in this reddit post here!

Leave a Reply